Package org.eclipse.net4j.util.concurrent

# Interface IWorkSerializer

All Known Implementing Classes:
  `AsynchronousWorkSerializer`, `CompletionWorkSerializer`, `ExecutorWorkSerializer`, `QueueWorkerWorkSerializer`, `SynchronousWorkSerializer`

@Deprecated public interface IWorkSerializer
Deprecated.
As of 3.9 use an executor such as `SerializingExecutor`.

Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`boolean`
`addWork(Runnable work)`
Deprecated.
`void`
`dispose()`
Deprecated.

## Method Details

### addWork

boolean addWork(Runnable work)
Deprecated.

### dispose

void dispose()
Deprecated.